Some packaging improvements
[keymanager.git] / setup.py
index c42ad2b..1e48931 100644 (file)
--- a/setup.py
+++ b/setup.py
 #
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
+"""
+setup file for leap.keymanager
+"""
+from setuptools import setup
+from setuptools import find_packages
 
+import versioneer
+versioneer.versionfile_source = 'src/leap/keymanager/_version.py'
+versioneer.versionfile_build = 'leap/keymanager/_version.py'
+versioneer.tag_prefix = ''  # tags are like 1.2.0
+versioneer.parentdir_prefix = 'leap.keymanager-'
 
-from setuptools import (
-    setup,
-    find_packages
-)
-
-
-install_requirements = [
-    'leap.common',
-    'simplejson',
-    'requests',
-    'python-gnupg',
-]
-
+from pkg import utils
 
-tests_requirements = [
-    'mock',
-    'leap.soledad.client',
+trove_classifiers = [
+    'Development Status :: 4 - Beta',
+    'Intended Audience :: Developers',
+    'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
+    'Operating System :: OS Independent',
+    'Programming Language :: Python',
+    'Programming Language :: Python :: 2.6',
+    'Programming Language :: Python :: 2.7',
+    'Topic :: Communications :: Email',
+    'Topic :: Internet',
+    'Topic :: Security :: Cryptography',
+    'Topic :: Software Development :: Libraries',
 ]
 
+# XXX add ref to docs
 
 setup(
     name='leap.keymanager',
-    version='0.3.0',
+    version=versioneer.get_version(),
+    cmdclass=versioneer.get_cmdclass(),
     url='https://leap.se/',
     license='GPLv3+',
     description='LEAP\'s Key Manager',
@@ -49,10 +58,12 @@ setup(
         "point-to-point encryption between parties communicating through "
         "LEAP infrastructure."
     ),
+    classifiers=trove_classifiers,
     namespace_packages=["leap"],
     packages=find_packages('src', exclude=['leap.keymanager.tests']),
     package_dir={'': 'src'},
     test_suite='leap.keymanager.tests',
-    install_requires=install_requirements,
-    tests_require=tests_requirements,
+    install_requires=utils.parse_requirements(),
+    tests_require=utils.parse_requirements(
+        reqfiles=['pkg/requirements-testing.pip']),
 )